diff --git a/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java b/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java
index b2b49bbc0..29faa9f19 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java
@@ -1,17 +1,17 @@
 package net.minecraft.client.gui.guidebook.smelting;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.GuiRenderItem;
-import net.minecraft.client.gui.GuiTooltip;
-import net.minecraft.client.gui.guidebook.GuiGuidebook;
+import net.minecraft.client.gui.ItemElement;
+import net.minecraft.client.gui.TooltipElement;
+import net.minecraft.client.gui.guidebook.GuidebookScreen;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
 import net.minecraft.client.gui.guidebook.PageManager;
 import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.SearchPage;
-import net.minecraft.client.render.FontRenderer;
-import net.minecraft.client.render.RenderEngine;
+import net.minecraft.client.render.Font;
+import net.minecraft.client.render.TextureManager;
 import net.minecraft.core.achievement.Achievements;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.SearchQuery;
@@ -32,8 +32,8 @@ public class SmeltingPage
     public static final int RECIPES_PER_PAGE = 6;
     public List<GuidebookSlot> slots;
     public Map<RecipeEntryFurnace,List<GuidebookSlot>> map;
-    private final GuiTooltip guiTooltip;
-    private final GuiRenderItem guiRenderItem;
+    private final TooltipElement tooltipElement;
+    private final ItemElement itemElement;
     private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
     private static Player player;
     private static long ticks = 0;
@@ -44,8 +44,8 @@ public class SmeltingPage
         this.map = new HashMap<>();
         player = mc.thePlayer;
         player.addStat(Achievements.OPEN_GUIDEBOOK,1);
-        guiTooltip = new GuiTooltip(mc);
-        guiRenderItem = new GuiRenderItem(mc);
+        tooltipElement = new TooltipElement(mc);
+        itemElement = new ItemElement(mc);
 
         for (RecipeEntryFurnace recipe : recipes) {
             List<GuidebookSlot> recipeSlots = new ArrayList<>();
@@ -57,7 +57,7 @@ public class SmeltingPage
     }
 
     @Override
-    protected void renderForeground(RenderEngine re, FontRenderer fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         if(recipes.isEmpty()){
             drawStringCenteredNoShadow(fr,"No recipes found :(" ,x+width/2,y+height/2,0xFF808080);
         }
@@ -72,7 +72,7 @@ public class SmeltingPage
             }
             drawSlot(x+slot.x -1,y+slot.y -1,0xFFFFFFFF);
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
-            guiRenderItem.render(slot.getItem(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
+            itemElement.render(slot.getItem(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
         }
     }
 
@@ -94,8 +94,8 @@ public class SmeltingPage
                     String query = "r:"+hoveringSlot.getItem().getDisplayName()+"!";
                     PageManager.searchQuery = SearchQuery.resolve(query);
                     SearchPage.searchField.setText(query);
-                    GuiGuidebook.getPageManager().updatePages();
-                    GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookScreen.getPageManager().updatePages();
+                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                 }
             }
         } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
@@ -108,21 +108,21 @@ public class SmeltingPage
                     String query = "u:" + hoveringSlot.getItem().getDisplayName() + "!";
                     PageManager.searchQuery = SearchQuery.resolve(query);
                     SearchPage.searchField.setText(query);
-                    GuiGuidebook.getPageManager().updatePages();
-                    GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookScreen.getPageManager().updatePages();
+                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                 }
             }
         }
     }
 
     @Override
-    public void render(RenderEngine re, FontRenderer fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    public void render(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.render(re, fr, x, y, mouseX, mouseY, partialTicks);
 
     }
 
     @Override
-    protected void renderBackground(RenderEngine re, int x, int y) {
+    protected void renderBackground(TextureManager re, int x, int y) {
         super.renderBackground(re, x, y);
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
         for (int i = 1; i <= recipes.size(); i++) {
@@ -133,7 +133,7 @@ public class SmeltingPage
     }
 
     @Override
-    protected void renderOverlay(RenderEngine re, FontRenderer fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
         GuidebookSlot mouseOverSlot = null;
         for (GuidebookSlot slot : slots) {
@@ -142,10 +142,10 @@ public class SmeltingPage
             if (mouseOverSlot != null && mouseOverSlot.hasItem())
             {
                 boolean showDescription = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL) || mc.gameSettings.alwaysShowDescriptions.value;
-                String str = guiTooltip.getTooltipText(mouseOverSlot.getItem(), showDescription, mouseOverSlot);
+                String str = tooltipElement.getTooltipText(mouseOverSlot.getItem(), showDescription, mouseOverSlot);
                 if(!str.isEmpty())
                 {
-                    guiTooltip.render(str, mouseX, mouseY, 8, -8);
+                    tooltipElement.render(str, mouseX, mouseY, 8, -8);
                 }
             }
         }
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelPage.java b/src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelPage.java
index 30395d2c9..43beb1898 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/trommeling/TrommelPage.java
@@ -1,17 +1,17 @@
 package net.minecraft.client.gui.guidebook.trommeling;
 
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.gui.GuiRenderItem;
-import net.minecraft.client.gui.GuiTooltip;
-import net.minecraft.client.gui.guidebook.GuiGuidebook;
+import net.minecraft.client.gui.ItemElement;
+import net.minecraft.client.gui.TooltipElement;
+import net.minecraft.client.gui.guidebook.GuidebookScreen;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
 import net.minecraft.client.gui.guidebook.GuidebookSections;
 import net.minecraft.client.gui.guidebook.PageManager;
 import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.SearchPage;
-import net.minecraft.client.render.FontRenderer;
-import net.minecraft.client.render.RenderEngine;
+import net.minecraft.client.render.Font;
+import net.minecraft.client.render.TextureManager;
 import net.minecraft.core.WeightedRandomBag;
 import net.minecraft.core.WeightedRandomLootObject;
 import net.minecraft.core.achievement.Achievements;
@@ -35,8 +35,8 @@ public class TrommelPage
     public static final int RECIPES_PER_PAGE = 3;
     public List<GuidebookSlot> slots;
     public Map<RecipeEntryTrommel,List<GuidebookSlot>> map;
-    private final GuiTooltip guiTooltip;
-    private final GuiRenderItem guiRenderItem;
+    private final TooltipElement tooltipElement;
+    private final ItemElement itemElement;
     private static final Minecraft mc = Minecraft.getMinecraft(GuidebookPage.class);
     private static Player player;
     private static long ticks = 0;
@@ -49,8 +49,8 @@ public class TrommelPage
         this.map = new HashMap<>();
         player = mc.thePlayer;
         player.addStat(Achievements.OPEN_GUIDEBOOK,1);
-        guiTooltip = new GuiTooltip(mc);
-        guiRenderItem = new GuiRenderItem(mc);
+        tooltipElement = new TooltipElement(mc);
+        itemElement = new ItemElement(mc);
         int recipeAmount = 0;
         int yOffset = 8;
         for (RecipeEntryTrommel recipe : recipes) {
@@ -79,7 +79,7 @@ public class TrommelPage
     }
 
     @Override
-    protected void renderForeground(RenderEngine re, FontRenderer fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderForeground(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         if(recipes.isEmpty()){
             drawStringCenteredNoShadow(fr,"No recipes found :(" ,x+width/2,y+height/2,0xFF808080);
         }
@@ -120,7 +120,7 @@ public class TrommelPage
             }
             drawSlot(x+slot.x -1,y+slot.y -1,0xFFFFFFFF);
             if(getIsMouseOverSlot(slot,x,y,mouseX,mouseY)) mouseOverSlot = slot;
-            guiRenderItem.render(slot.getItem(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
+            itemElement.render(slot.getItem(),x+slot.x,y+slot.y,mouseOverSlot == slot,slot);
         }
     }
 
@@ -142,8 +142,8 @@ public class TrommelPage
                     String query = "r:"+hoveringSlot.getItem().getDisplayName()+"!";
                     PageManager.searchQuery = SearchQuery.resolve(query);
                     SearchPage.searchField.setText(query);
-                    GuiGuidebook.getPageManager().updatePages();
-                    GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookScreen.getPageManager().updatePages();
+                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                 }
             }
         } else if (mc.gameSettings.keyShowUsage.isKeyboardKey(key)) {
@@ -156,21 +156,21 @@ public class TrommelPage
                     String query = "u:" + hoveringSlot.getItem().getDisplayName() + "!";
                     PageManager.searchQuery = SearchQuery.resolve(query);
                     SearchPage.searchField.setText(query);
-                    GuiGuidebook.getPageManager().updatePages();
-                    GuiGuidebook.getPageManager().setCurrentPage(GuiGuidebook.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
+                    GuidebookScreen.getPageManager().updatePages();
+                    GuidebookScreen.getPageManager().setCurrentPage(GuidebookScreen.getPageManager().getSectionIndex(GuidebookSections.CRAFTING), true);
                 }
             }
         }
     }
 
     @Override
-    public void render(RenderEngine re, FontRenderer fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    public void render(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.render(re, fr, x, y, mouseX, mouseY, partialTicks);
 
     }
 
     @Override
-    protected void renderBackground(RenderEngine re, int x, int y) {
+    protected void renderBackground(TextureManager re, int x, int y) {
         super.renderBackground(re, x, y);
         re.bindTexture(re.loadTexture("/assets/minecraft/textures/gui/container/guidebook/guidebook.png"));
         for (int i = 1; i <= recipes.size(); i++) {
@@ -181,7 +181,7 @@ public class TrommelPage
     }
 
     @Override
-    protected void renderOverlay(RenderEngine re, FontRenderer fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
+    protected void renderOverlay(TextureManager re, Font fr, int x, int y, int mouseX, int mouseY, float partialTicks) {
         super.renderOverlay(re, fr, x, y, mouseX, mouseY, partialTicks);
         GuidebookSlot mouseOverSlot = null;
         for (GuidebookSlot slot : slots) {
@@ -190,10 +190,10 @@ public class TrommelPage
             if (mouseOverSlot != null && mouseOverSlot.hasItem())
             {
                 boolean showDescription = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL) || mc.gameSettings.alwaysShowDescriptions.value;
-                String str = guiTooltip.getTooltipText(mouseOverSlot.getItem(), showDescription, mouseOverSlot);
+                String str = tooltipElement.getTooltipText(mouseOverSlot.getItem(), showDescription, mouseOverSlot);
                 if(!str.isEmpty())
                 {
-                    guiTooltip.render(str, mouseX, mouseY, 8, -8);
+                    tooltipElement.render(str, mouseX, mouseY, 8, -8);
                 }
             }
         }
